/**
 *------------------------------------------------------------------------------
 * @package       T3 Framework for Joomla!
 *------------------------------------------------------------------------------
 * @copyright     Copyright (C) 2004-2013 JoomlArt.com. All Rights Reserved.
 * @license       GNU General Public License version 2 or later; see LICENSE.txt
 * @authors       JoomlArt, JoomlaBamboo, (contribute to this project at github
 *                & Google group to become co-author)
 * @Google group: https://groups.google.com/forum/#!forum/t3fw
 * @Link:         http://t3-framework.org
 * @credits       Mary Lou - http://tympanus.net/codrops/2013/08/28/transitions-for-off-canvas-navigations/
 *------------------------------------------------------------------------------
 */


// VARIABLES & MIXINS
// ------------------
@import "vars.less"; // Include Variables and Mixins


// EXTEND STYLE IN BASE
// --------------------
@import "../../../plugins/system/t3/base-bs3/less/off-canvas.less";

.t3-wrapper {
		background: @white url(../images/bg-main.png) 0 0 repeat;
}

//
// OFF-CANVAS
// -------------------------------------

// Toggle Button
// -------------------
.t3-header .off-canvas-toggle {
	position: fixed;
	left: 0;
}

.off-canvas-toggle {
  border-radius: 0;
  border: 0;
  padding: 0;
  width: @navbar-height;
  height: @navbar-height;
  line-height: @navbar-height;
  &:focus {
    outline: none;
  }
}


//
// OFF-CANVAS CONTENT STYLES
// -------------------------------------
.t3-off-canvas {

  // Generic
  // -----------------------------------
  background: @t3-off-canvas-background;
  color: @t3-off-canvas-text-color;


  // Header
  // -----------------------------------
  .t3-off-canvas-header {
    background: @t3-off-canvas-header-background;
    padding: 0 0 0 @padding-base-horizontal;
    height: 35px;

    // Title
    h2 {
      margin: 0;
      line-height: 35px;
      font-size: @font-size-base;
      font-weight: bold;
      text-transform: uppercase;
			letter-spacing: 1px;
    	color: @t3-off-canvas-header-text-color;
    }

  }

  // Close Button
  .close {
    margin: 0;
    height: 35px;
    line-height: 35px;
    width: 35px;
    background: @black;
		color: @white;
    position: absolute;
    top: 0;
    right: 0;
		text-shadow: none;
		.opacity(1.0);
  }


  // Body
  // -----------------------------------
  .t3-off-canvas-body {

    padding: @t3-global-padding;

    // Links
    // ------------
    a {
      color: @t3-off-canvas-link-color;
      text-decoration: none;

      &:hover,
      &:focus {
        color: @t3-off-canvas-link-hover-color;
        text-decoration: none;
      }

      &:focus {
        .tab-focus();
      }
    }


    // Navigations
    // ------------
    .nav {
    }

    // Dropdown Menu
    .dropdown-menu {
    }


    // Modules
    // ------------
    .t3-module {
      position: relative;
    }

    .module-title  {
      margin-bottom: @line-height-computed;
      color: @link-color;
      padding: @t3-global-padding/2 0 0;
      font-size: 36px;
      line-height: normal;
      text-align: center;
    }

    .pretext {
      font-size: @font-size-small;
      margin-bottom: @t3-global-margin;
      text-align: center;
    }

    // Login Module
    #login-form {
      text-align: center;
      color: @gray;

      .pretext {
        font-size: @font-size-small;
        margin-bottom: @t3-global-margin;
      }

      .unstyled {
        margin-left: 0;
				padding-left: 0;
        list-style: none;
				font-size: 12px;

        a {
          font-size: @font-size-small;
          border-bottom: 0;
          text-transform: none;
          font-weight: normal;
        }
      }

      .btn {
        width: 100%;
      }

      #form-login-username,
      #form-login-password,
      #form-login-remember {
        text-align: left;
      }

      .checkbox {
        font-size: @font-size-small;
      }

      input#modlgn-remember {
        vertical-align: top;
        display: inline-block;
        margin-top: 2px;
      }
		
			.input-group .input-group-addon i {
				width: 15px;
			}

      .userdata {
        position: relative;    
        margin-top: 20px;

        input[type="text"],
        input[type="password"] {
          background: @gray-darker;
          border: 0;
          width: 100%;
          color: @text-color;

          &:focus {
            .box-shadow(none);
            border: 0;
            color: @white !important;
          }
        }

        .input-group-addon {
          background: @gray-darker;
          border: 0;
          border-right: 1px solid @gray-dark;
        }

        .btn {
          padding: (@t3-global-padding / 2.5) 0;
          font-size: @t3-font-size-bigger;
        }
      }

      .control-group {
        margin-top: @t3-global-margin / 2;
        margin-bottom: @t3-global-margin;
      }

      .form-group {
        margin-bottom: @t3-global-margin/2;
      }

    }

    .t3-module + .t3-module #login-form.form-vertical .login-greeting, 
    .t3-module + .t3-module #login-form.form-vertical .logout-button {
      display: none;
    }

  // End Off-Canvas Body
  }

// End Off-Canvas Content Styles
}
